---
title: Tags Endpoints (2017/01)
slug: legacy-docs/tags-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

This endpoint allows you to retrieve data about tags on the network. 

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Tags*

## GET  /Keys/ 

Returns tag keys on the network as an array of string values.

**Parameters**

`pattern` string

Expects a value in this format `"{DataType}::[[sys].][{entityType}].<{TagKey}>"`.  See the definitions below for further guidance:

- `{DataType}` is one of the supported data types. These supported data types are boolean, numeric, string, DateTime, TimeSpan, numeric array, and string array, as described in [PropertyandTagMentionsinExpressions](docId\:l8MFvfDgHPY9xgiuQuWCM) (but object is not supported). This value is optional.
- `sys` lets you distinguish system tag (defined by `system`) or custom tag (defined by `customer`). This value is optional.
- `{entityType}` is either `Content` or `Device`
- `{TagKey}` can be skipped, or partially specified with a wildcard character like \* or ?, which will give you all of the tag keys matching this expression.

Note that /Tag/Keys/ is unique in the scope of entities in that some of the values can be skipped or partially defined. For example, `[Content].<M?dia>` is a valid entry.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns all tag names defined on a network that match the `pattern`

## GET  /Values/ 

Returns all tag values defined on a network that match a specified pattern

**Parameters**

`pattern` string

Expects a value in this format `"{DataType}::[[sys].][{entityType}].<{TagValues}>"`.  See the definitions below for further guidance:

- `{DataType}` is one of the supported data types. These supported data types are boolean, numeric, string, DateTime, TimeSpan, numeric array, and string array, as described in [PropertyandTagMentionsinExpressions](docId\:l8MFvfDgHPY9xgiuQuWCM) (but object is not supported). This value is optional.
- `sys` lets you distinguish system tag (defined by `system`) or custom tag (defined by `customer`). This value is optional.
- `{entityType}` is either `Content` or `Device`
- `{TagValues}` can be skipped, or partially specified with a wildcard character like \* or ?, which will give you all of the tag values matching this expression.

Note that /Tag/Values/ is unique in the scope of entities in that some of the values can be skipped or partially defined. For example, `[Content].<M?dia>` is a valid entry.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns all tag values defined on a network that match the `pattern`
